<script>
  // Properties
  export let data = [];
  const start_year = 1800;
  const max_year = start_year + data.length - 1;
  export let controls = null;
  const continents = ["all", "europe", "asia", "americas", "africa"];
  let is_start = false;
  let running_text = 'Start';
  var running_interval;
  function startPause() {
    if(is_start) {
      is_start = false;
      running_text = 'Start';
      clearInterval(running_interval);
    } else {
      is_start = true;
      running_text = 'Stop';
      running_interval = setInterval(function(){
        if(controls.year < max_year)
          controls.year++;
        else
          controls.year = start_year;
      }, 50)
    }
  }

  function reset() {
    controls.year = start_year;
    clearInterval(running_interval);
  }

</script>

<div class="row">
  <!--  -->
  <div class="col-4">
    <button type="button" class="btn btn-primary" on:click={startPause}>{running_text}</button>
    <button type="button" class="btn btn-primary" on:click={reset}>Reset</button>
  </div>
  <div class="col-5">
    <label class="form-label col-sm-10">Year: {controls.year}
      <input type="range" class="form-range" min={start_year} max={max_year} step="1" bind:value={controls.year}>
    </label>
  </div>
  <div class="col-3">
    <select id="continent-select" class="form-select" bind:value={controls.continent}>
      {#each continents as c}
        <option value={c}>{c}</option>
      {/each}
    </select>
  </div>

</div>
